Results 1 to 3 of 3
hi
I have debian sarge stable installed and get this error:
Code:
/etc/cron.daily/man-db:
chown: `man': invalid user
start-stop-daemon: user `man' not found
run-parts: /etc/cron.daily/man-db exited with return code 2
# ...
- 03-04-2007 #1Linux Newbie
- Join Date
- Jun 2004
- Posts
- 120
start-stop-daemon: user `man' not found
hi
I have debian sarge stable installed and get this error:# vi /etc/cron.daily/man-dbCode:/etc/cron.daily/man-db: chown: `man': invalid user start-stop-daemon: user `man' not found run-parts: /etc/cron.daily/man-db exited with return code 2
knows someone howto solve this problem ?Code:#!/bin/sh # # man-db cron daily set -e if ! [ -d /var/cache/man ]; then # Recover from deletion, per FHS. mkdir -p /var/cache/man chown man:root /var/cache/man chmod 2755 /var/cache/man fi # expunge old catman pages which have not been read in a week if [ -d /var/cache/man ]; then cd / if ! dpkg-statoverride --list /var/cache/man >/dev/null 2>&1; then chown -R man /var/cache/man || true # just in case fi start-stop-daemon --start --pidfile /dev/null --startas /bin/sh \ --oknodo --chuid man -- -c \ "find /var/cache/man -type f -name '*.gz' -atime +6 -print0 | \ xargs -r0 rm -f" fi # regenerate man database if [ -x /usr/bin/mandb ]; then # --pidfile /dev/null so it always starts; mandb isn't really a daemon, # but we want to start it like one. start-stop-daemon --start --pidfile /dev/null \ --startas /usr/bin/mandb --oknodo --chuid man \ -- --no-purge --quiet fi exit 0
- 03-04-2007 #2
Looks like the man-db is missing or corrupt just reinstall it
apt-get install man-db
if the system says its there run this
apt-get --reinstall install man-db
- 03-06-2007 #3Linux Newbie
- Join Date
- Jun 2004
- Posts
- 120
I don't know if this is a correct way, but after:
it seems to be solved.Code:# useradd -d /var/cache/man -s /bin/sh man # dpkg-reconfigure -phigh man-db


Reply With Quote
